## alt-ergo 0.99.1+dfsg1

=== src/Makefile ===
byte:
	make -C .. byte
opt:
	make -C .. opt
gui:
	make -C .. gui
clean:
	make -C .. clean
