=== src/main/Makefile ===
byte:
	make -C ../.. byte
opt:
	make -C ../.. opt
gui:
	make -C ../.. gui
clean:
	make -C ../.. clean
