## alt-ergo 0.95.1

=== debian/changelog ===
alt-ergo (0.95.1-3) unstable; urgency=low

  * make libalt-ergo-ocaml-dev conflict and replace with alt-ergo (<<
    0.95.1-1) to resolve file conflict with versions of the package before
    the split into two binary packages (closes: #718010).

 -- Ralf Treinen <treinen@debian.org>  Sat, 24 Aug 2013 10:56:21 +0200

alt-ergo (0.95.1-2) unstable; urgency=low

  * upload to unstable

 -- Ralf Treinen <treinen@debian.org>  Fri, 10 May 2013 21:19:12 +0200

alt-ergo (0.95.1-1) experimental; urgency=low

  * New upstream release.
  * Split off a package for the development libraries.
  * Patches:
    - Adapted all patches to new upstream.
    - Merge patch 0009-fix-install-gui-target into
      0004-Add-rules-and-targets-for-gui.byte
    - Add patch 0009-clean-remove-META.patch
    - Drop patch 0006-PRECM-O-X-is-needed-to-link-altgr-ergo.patch as 
      upstream's makefile is doing the right thing.
  * debian/rules:
     - dh_auto-build: don't call "make altgr-ergo.$(OCAML_BEST)" since this
       is now subsumed by "make all"
     - drop the dh_install override since upstream's Makefile does the
       right thing
     - configure target: remove the "alt_ergo" from the libdir flag
       as this is added in upstream's Makefile.
     - Drop creation of the META file by debian/rules as this is now done by
       upstream's Makefile.
  * Drop debian/alt-ergo.dirs.in as all needed directories are created by
    upstream's Makefile.
  * Source-format 3.0 (quilt):
    - debian/source/format: update
    - debian/rules: drop "quilt" option from dh invocation
    - debian/control: drop quilt from build-dependencies
    - drop debian/README.source which is no longer necessary
  * Drop build-dependencies on autotools-dev, autoconf which are not needed.
    Touch configure in debian/rules to assure it is newer than configure.in.
  * Remove debian/docs as the upstream README file is useless for users of
    the debian package.
  * update clean target:
    - invoke dist-clean instead of clean in debian/rules
    - drop debian/clean which is no longer necessary (with patch
      0009-clean-remove-META.patch applied)
  * Rewrite long package description.
  * debian/watch: add extra directory per release.
  * debian/copyright:
    - machine-readable format 1.0
    - update copyright years to 2006-2011
    - add copyright holder Francois Bobot
  * Added myself as uploader.
  * Standards-Version 3.9.4 (no change)

 -- Ralf Treinen <treinen@debian.org>  Wed, 17 Apr 2013 09:45:39 +0200

alt-ergo (0.94-2) unstable; urgency=high

  * Add autoconf to Build-Depends to resolve an FTBFS (Closes: #669539).
  * Setting urgency to "high" to fix the RC bug.

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 14 May 2012 14:11:48 +0200

alt-ergo (0.94-1) unstable; urgency=low

  * New upstream release.
  * Rebase patches

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 08 Dec 2011 17:18:57 +0100

alt-ergo (0.93-3) unstable; urgency=low

  * Fix lablgtksourceview2 detection on bytecode architectures.
    - 0005-Look-for-cma-instead-of-cmxa-for-lablgtksourceview2.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 16 Apr 2011 16:27:24 +0200

alt-ergo (0.93-2) unstable; urgency=low

  * Add patch to fix FTBFS on bytecode architectures.
    - 0004-Add-rules-and-targets-for-gui.byte.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 16 Apr 2011 00:47:04 +0200

alt-ergo (0.93-1) unstable; urgency=low

  * New upstream release.
  * Update copyright file.
  * Add liblablgtk2-gnome-ocaml-dev and liblablgtksourceview2-ocaml-dev
    to Build-Depends (needed by altgr-ergo).

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 15 Apr 2011 23:31:11 +0200

alt-ergo (0.91-2) unstable; urgency=low

  * Fix build on bytecode architecures: "test" target should depend on
    "best" alternative, and not "opt".

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 01 Jun 2010 22:25:38 +0200

alt-ergo (0.91-1) unstable; urgency=low

  * New upstream release.
  * Update my email address and remove DMUA
  * Refresh packaging (dh-ocaml, dh overrides, quilt)
    - Do not run tests when input files are absent
      0002-Do-not-run-the-test-if-test.mlw-is-absent.patch
  * Bump standards to 3.8.4
    - Add a debian/README.source
  * Add a debian/source/format (keep 1.0 format, for now)
  * Fix a typo in the sources
    - Add 0003-Fix-a-typo.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 01 Jun 2010 21:24:28 +0200

alt-ergo (0.9-1) unstable; urgency=low

  * New Upstream Version
  * Update build dependencies to ease OCaml 3.11.1 transition
  * Bump standards version to 3.8.2

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Mon, 06 Jul 2009 23:16:02 +0200

alt-ergo (0.8-1) unstable; urgency=low

  * Initial release (Closes: #468557)

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Tue, 24 Feb 2009 10:15:46 +0100
