=== debian/watch ===
version=3
http://alt-ergo.lri.fr/http/alt-ergo-([\d\.]+)/alt-ergo-([\d\.]+)\.tar\.gz
