## alt-ergo 0.95.2

=== debian/changelog ===
alt-ergo (0.95.2-3) sid; urgency=medium

  * Remove previously introduced patch since relevant API change
    has been reverted in OCamlgraph 1.8.5.
    - Remove 0002-Port-to-OCamlgraph-1.8.4.patch
    - Build-Depend on OCamlgraph >= 1.8.5~.

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 27 Apr 2014 21:42:15 +0200

alt-ergo (0.95.2-2) sid; urgency=medium

  * Port to OCamlgraph 1.8.4 (Closes: #743072)
    - add 0002-Port-to-OCamlgraph-1.8.4.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 30 Mar 2014 23:07:47 +0200

alt-ergo (0.95.2-1) sid; urgency=low

  * New upstream release.
  * Update debian/watch, now points to ocamlpro site.
  * Refresh patch 0001-No-need-to-activate-debug-flag.patch
  * Drop patch 0002-Do-not-run-the-test-if-test.mlw-is-absent-and-use-be.patch:
    the file test.mlw is no longer relevant.
  * drop patches that have been applied by upstream:
    - 0003-Fix-a-typo.patch
    - 0004-Add-rules-and-targets-for-gui.byte.patch
    - 0005-Look-for-cma-instead-of-cmxa-for-lablgtksourceview2.patch
    - 0007-Fix-all-target.patch
    - 0008-Split-install-pack-into-two-separate-targets-opt-and.patch
    - 0009-clean-remove-META.patch
  * Add build-dependency on libzarith-ocaml-dev
  * debian/rules:
    - drop backup of .depend which is no longer needed
    - drop overwrite for dh_auto_configure
    - in dh_auto_build target, drop touching of configure
  * debian/copyright:
    - update Download field to ocamlpro
    - Upstream Contact : add alt-ergo-bugs mailing list
    - Update copyright holder and year for files *
    - Put paragraphs into the right order
  * install examples/ into /usr/share/doc/alt-ergo
  * Standards-version 3.9.5 (no change)

 -- Ralf Treinen <treinen@debian.org>  Sun, 17 Nov 2013 14:25:38 +0100
