=== debian/control ===
--- 
+++ 
@@ -8,12 +8,13 @@
 Build-Depends:
  debhelper (>= 7.0.50~),
  ocaml-nox (>= 3.11.1-3~),
- libocamlgraph-ocaml-dev (>= 1.1),
+ libocamlgraph-ocaml-dev (>= 1.8.5~),
  liblablgtk2-gnome-ocaml-dev (>= 2.14.0+dfsg-2~),
  liblablgtksourceview2-ocaml-dev (>= 2.14.0+dfsg-2~),
+ libzarith-ocaml-dev,
  dh-ocaml (>= 0.9.0~)
 Homepage: http://alt-ergo.lri.fr
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/alt-ergo.git
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/alt-ergo.git
