=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

include /usr/share/ocaml/ocamlvars.mk

override_dh_auto_build:
	$(MAKE) all gui

override_dh_auto_install:
	$(MAKE) DESTDIR=debian/tmp install install-gui install-pack

override_dh_auto_clean:
	if [ -f Makefile ]; then \
		$(MAKE) dist-clean;   \
	fi

%:
	dh --with ocaml $@
