## alt-ergo 0.99.1+dfsg1

=== debian/changelog ===
alt-ergo (0.99.1+dfsg1-4build3) xenial; urgency=medium

  * Rebuild for new OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Feb 2016 12:05:17 +0000

alt-ergo (0.99.1+dfsg1-4build2) xenial; urgency=medium

  * No change rebuild for new OCaml ABIs

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 04 Nov 2015 20:39:46 +0000

alt-ergo (0.99.1+dfsg1-4build1) wily; urgency=medium

  * No-change rebuild for Ocaml ABI changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Sep 2015 10:53:36 +0200

alt-ergo (0.99.1+dfsg1-4) unstable; urgency=low

  * debian/patches/series: add missing newline
  * debian/control: XS-Testsuite => Testsuite
  * debian/control: drop duplicated Section
  * debian/control: canonical URI in VCS fields
  * debian/copyright: Makefile.in => Makefile.configurable.in

 -- Ralf Treinen <treinen@debian.org>  Tue, 26 May 2015 21:56:56 +0200

alt-ergo (0.99.1+dfsg1-3) unstable; urgency=medium

  * debian/control: fix domain name in Vcs fields
  * explicitly set the build date to the date of the last changelog entry
    (closes: #786846):
    - add patch 0003-allow-set-build-date to set the build date in the
      Makefile in a variable
    - debian/rules: pass the correct value of the build date to the Makefile
    Thanks to Juan Picca <jumapico@gmail.com> and Jakub Wilk <jwilk@debian.org>
    for the patch!
  * rename patch 0001-dont-activate-debug-flag to be consistent with other
    patches

 -- Ralf Treinen <treinen@debian.org>  Tue, 26 May 2015 20:48:35 +0200

alt-ergo (0.99.1+dfsg1-2) unstable; urgency=low

  * upload to unstable. 

 -- Ralf Treinen <treinen@debian.org>  Mon, 04 May 2015 19:05:42 +0200

alt-ergo (0.99.1+dfsg1-1) experimental; urgency=medium

  * New upstream version.
  * debian/copyright: add Files-Excluded: non-free
  * debian/watch: mangle suffix +dfsg\d*
  * debian/rules:
    - override for dh_auto_clean target: call "make clean" only
      when config.status present
    - override for dh_auto_install: drop install-pack target
  * update debian patch 0001-No-need-to-activate-debug-flag which now applies
    to the file Makefile.users
  * new patch 0002-non-free-dropped: adapt Makefile.users to the removal of
    the non-free directory.
  * Drop the libalt-ergo-ocaml-dev binary package since upstream does no
    longer support installation of development libraries.
  * Standards-Version 3.9.6 (no change)
  * Added DEP8-style package tests:
    - debian/control: add XS-Testsuite field
    - added debian/tests, with two test scripts on the examples installed with
      the package.

 -- Ralf Treinen <treinen@debian.org>  Wed, 31 Dec 2014 13:02:03 +0100
