=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

LAST_CHANGE=$(shell dpkg-parsechangelog -S Date)
BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")

include /usr/share/ocaml/ocamlvars.mk

override_dh_auto_build:
	$(MAKE) all gui BUILD_DATE="$(BUILD_DATE)"

override_dh_auto_install:
	$(MAKE) DESTDIR=debian/tmp install install-gui

override_dh_auto_clean:
	if [ -f config.status ]; then \
		$(MAKE) dist-clean;   \
	fi

%:
	dh --with ocaml $@
