=== debian/watch ===
version=3
opts="filenamemangle=s/.*=(.*)/$1/,dversionmangle=s/\+dfsg\d*//" \
http://alt-ergo.ocamlpro.com/download.php download_manager\.php\?target=alt-ergo-([\d\.]+)\.tar\.gz
