## alt-ergo 1.01

=== debian/changelog ===
alt-ergo (1.01-1) unstable; urgency=medium

  * new upstream version. Refreshed patches.
  * debian/watch: version 4. Add option pgpsigurlmangle.
  * standards-version 3.9.7 (no change)
  * bump version of build-dependency ocaml, according to upstream install
    instructions.

 -- Ralf Treinen <treinen@debian.org>  Tue, 01 Mar 2016 21:17:13 +0100
