=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
  Ralf Treinen <treinen@debian.org>
 Build-Depends:
  debhelper (>= 7.0.50~),
- ocaml-nox (>= 3.11.1-3~),
+ ocaml-nox (>= 3.12.1),
  libocamlgraph-ocaml-dev (>= 1.8.5~),
  liblablgtk2-gnome-ocaml-dev (>= 2.14.0+dfsg-2~),
  liblablgtksourceview2-ocaml-dev (>= 2.14.0+dfsg-2~),
  libzarith-ocaml-dev,
  dh-ocaml (>= 0.9.0~)
 Homepage: http://alt-ergo.lri.fr
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/alt-ergo.git/
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/alt-ergo.git
 Testsuite: autopkgtest
