## alt-ergo 1.30

=== debian/changelog ===
alt-ergo (1.30-1) unstable; urgency=medium

  * new upstream version:
    - refreshed patch 0001-dont-activate-debug-flags
    - refreshed patch 0002-non-free-dropped
    - refreshed patch 0003-allow-set-build-date
    - added build-dependency on ocplib-simplex-ocaml-dev, libzip-ocaml-dev,
      and ocaml-findlib
  * debhelper compatibility level 10:
    - bumped build-dependency on debhelper
    - bumped value in debian/compat
    - debian/rules: sequence before options in dh invocation
  * standards-version 3.9.8 (no change)
  * debian/control: dropped redundant Testsuite
  * updated Vcs-{Git,Browser}
  * patch spelling: various upstream spelling errors

 -- Ralf Treinen <treinen@debian.org>  Mon, 12 Dec 2016 19:58:57 +0100
