=== debian/control ===
--- 
+++ 
@@ -6,18 +6,20 @@
  Mehdi Dogguy <mehdi@debian.org>,
  Ralf Treinen <treinen@debian.org>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 10),
  ocaml-nox (>= 3.12.1),
+ ocaml-findlib,
  libocamlgraph-ocaml-dev (>= 1.8.5~),
  liblablgtk2-gnome-ocaml-dev (>= 2.14.0+dfsg-2~),
  liblablgtksourceview2-ocaml-dev (>= 2.14.0+dfsg-2~),
  libzarith-ocaml-dev,
+ libzip-ocaml-dev,
+ ocplib-simplex-ocaml-dev,
  dh-ocaml (>= 0.9.0~)
 Homepage: http://alt-ergo.lri.fr
-Standards-Version: 3.9.7
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/alt-ergo.git/
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/alt-ergo.git
-Testsuite: autopkgtest
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/alt-ergo.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/alt-ergo.git
 
 Package: alt-ergo
 Architecture: any
