=== debian/watch ===
version=4
opts="filenamemangle=s/.*=(.*)/$1/,\
	dversionmangle=s/\+dfsg\d*//,\
	pgpsigurlmangle=s/$/.asc/" \
http://alt-ergo.ocamlpro.com/download.php \
        download_manager\.php\?target=alt-ergo-([\d\.]+)\.tar\.gz
