## alt-ergo 1.30%2Bdfsg1

=== debian/changelog ===
alt-ergo (1.30+dfsg1-1) unstable; urgency=medium

  * Repack source to exclude the non-free/ directory (closes: #883755).
  * Patch ocplib-simplex-0.4: patch to compile with version 0.4 of
    ocplib-simplex-ocaml-dev (closes: #882162).
  * Standards-Version 4.1.2 (no change)
  * debian/watch: drop pgpsigurlmangle

 -- Ralf Treinen <treinen@debian.org>  Thu, 21 Dec 2017 20:01:21 +0100
