## alt-ergo 1.30+dfsg1

=== Makefile ===
include Makefile.configurable
include Makefile.users
-include Makefile.developers
