=== debian/changelog ===
alt-ergo (1.30+dfsg1-2) unstable; urgency=medium

  * Since lablgtk2 does no longer build liblablgtksourceview2-ocaml-dev:
    - d/rules: stop building gui
    - drop build-dependencies on liblablgtk2-gnome-ocaml-dev and
      liblablgtksourceview2-ocaml-dev
    - drop mention of gui from the package description
    - added d/NEWS entry about this
  * Vcs-{Browser,Git}: switch to salsa
  * d/watch: minor fix
  * Standards-Version 4.2.1 (no change)

 -- Ralf Treinen <treinen@debian.org>  Tue, 13 Nov 2018 20:43:44 +0100
