=== debian/control ===
--- 
+++ 
@@ -10,16 +10,14 @@
  ocaml-nox (>= 3.12.1),
  ocaml-findlib,
  libocamlgraph-ocaml-dev (>= 1.8.5~),
- liblablgtk2-gnome-ocaml-dev (>= 2.14.0+dfsg-2~),
- liblablgtksourceview2-ocaml-dev (>= 2.14.0+dfsg-2~),
  libzarith-ocaml-dev,
  libzip-ocaml-dev,
  ocplib-simplex-ocaml-dev,
  dh-ocaml (>= 0.9.0~)
 Homepage: http://alt-ergo.lri.fr
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/alt-ergo.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/alt-ergo.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/ocaml-team/alt-ergo
+Vcs-Git: https://salsa.debian.org/ocaml-team/alt-ergo.git
 
 Package: alt-ergo
 Architecture: any
@@ -36,5 +34,4 @@
  reasoning over arbitrary user-defined algebraic types, first-order
  quantifiers, and non-linear arithmetic.
  .
- This package contains the prover as a command-line executable
- as well as the graphical interface.
+ This package contains the prover as a command-line executable.
