=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,10 @@
 include /usr/share/ocaml/ocamlvars.mk
 
 override_dh_auto_build:
-	$(MAKE) all gui BUILD_DATE="$(BUILD_DATE)"
+	$(MAKE) all BUILD_DATE="$(BUILD_DATE)"
 
 override_dh_auto_install:
-	$(MAKE) DESTDIR=debian/tmp install install-gui
+	$(MAKE) DESTDIR=debian/tmp install
 
 override_dh_auto_clean:
 	if [ -f config.status ]; then \
@@ -20,4 +20,4 @@
 	fi
 
 %:
-	dh --with ocaml $@
+	dh  $@ --with ocaml
