## alt-ergo 2.0.0

=== debian/changelog ===
alt-ergo (2.0.0-5build1) focal; urgency=medium

  * No-change rebuild against ocaml-base-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 15:47:42 +0000

alt-ergo (2.0.0-5) unstable; urgency=medium

  * Add libnum-ocaml-dev to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Sun, 01 Sep 2019 08:18:21 +0200

alt-ergo (2.0.0-4) unstable; urgency=high

  * Team upload
  * Fix compilation with camlzip >= 1.08

 -- Stéphane Glondu <glondu@debian.org>  Wed, 31 Jul 2019 11:08:36 +0200

alt-ergo (2.0.0-3) unstable; urgency=medium

  * Install files directly without going through dh_install
  * d/rules:
    - drop setting of BUILD_DATE which is no longer useful
    - drop inclusion of ocamlvars.mk which is no longer useful

 -- Ralf Treinen <treinen@debian.org>  Thu, 14 Feb 2019 04:21:22 +0100

alt-ergo (2.0.0-2) unstable; urgency=medium

  * Install plugins only on architectures with dynamic linking

 -- Ralf Treinen <treinen@debian.org>  Wed, 13 Feb 2019 22:40:56 +0100

alt-ergo (2.0.0-1) unstable; urgency=medium

  * Adjust debian/watch to the new *-free releases
  * New upstream release
    - refreshed patch 0001-dont-activate-debug-flags
    - dropped patch 0002-non-free-dropped which is no longer needed as upstream
      now publishes a completely free version
    - dropped patch 0003-allow-set-build-date since upstream has replaced
      the build-date by a release-date.
    - dropped patch spelling which has been applied upstream
    - dropped patch ocplib-simplex-0.4 since issue solved by upstream
  * debian/copyright:
    - license changed from CeCILL-C to Apache 2.0
    - https in format header
  * Build-dependencies:
    - ocplib-simplex: put a version constraint as indicated by upstream
    - ocaml-nox: bump minimal version to 4.04 as indicated by upstream
    - added menhir
    - debian-compat (=12)
  * Re-activate building and installing of the gui.
  * Do not install fpa-theory-2017-01-04-16h00.why which seems cruft
  * Override dh_dwz
  * Standards-version 4.3.0 (no change)

 -- Ralf Treinen <treinen@debian.org>  Wed, 13 Feb 2019 21:02:29 +0100
