=== debian/control ===
--- 
+++ 
@@ -1,21 +1,26 @@
 Source: alt-ergo
 Section: math
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Mehdi Dogguy <mehdi@debian.org>,
  Ralf Treinen <treinen@debian.org>
 Build-Depends:
- debhelper (>= 10),
- ocaml-nox (>= 3.12.1),
+ debhelper-compat (= 12),
+ dh-ocaml (>= 0.9.0~),
+ ocaml-nox (>= 4.04),
+ menhir,
  ocaml-findlib,
+ libnum-ocaml-dev,
  libocamlgraph-ocaml-dev (>= 1.8.5~),
  libzarith-ocaml-dev,
  libzip-ocaml-dev,
- ocplib-simplex-ocaml-dev,
- dh-ocaml (>= 0.9.0~)
+ ocplib-simplex-ocaml-dev (>= 0.4),
+ liblablgtk2-gnome-ocaml-dev (>= 2.14.0+dfsg-2~),
+ liblablgtksourceview2-ocaml-dev (>= 2.14.0+dfsg-2~)
 Homepage: http://alt-ergo.lri.fr
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/ocaml-team/alt-ergo
 Vcs-Git: https://salsa.debian.org/ocaml-team/alt-ergo.git
 
@@ -34,4 +39,5 @@
  reasoning over arbitrary user-defined algebraic types, first-order
  quantifiers, and non-linear arithmetic.
  .
- This package contains the prover as a command-line executable.
+ This package contains the prover as a command-line executable
+ as well as the graphical interface.
