=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

%:
	dh  $@ --with ocaml

override_dh_auto_build:
	$(MAKE) all gui

override_dh_auto_install:
	$(MAKE) DESTDIR=debian/alt-ergo install install-gui

override_dh_auto_clean:
	if [ -f config.status ]; then \
		$(MAKE) dist-clean;   \
	fi

override_dh_dwz:
	dh_dwz --no-dwz-multifile
