=== debian/tests/control ===
Tests: valid
Depends: alt-ergo

Tests: invalid
Depends: alt-ergo
