=== debian/watch ===
version=4
opts=filenamemangle=s/.*=(.*)/$1/,dversionmangle=s/\+dfsg\d*// \
http://alt-ergo.ocamlpro.com/download.php \
        download_manager\.php\?target=alt-ergo-free-([\d\.]+)\.tar\.gz
