=== debian/changelog ===
alt-ergo (2.4.1-1) unstable; urgency=medium

  * Team upload.
  * Fix d/watch.
  * New upstream release.
  * Adapt to new upstream build system.
  * Drop patches (obsolete).
  * Complete b-deps.
  * Add a patch to work with a recent menhir.
  * Update d/copyright.
  * Adapt to new upstream install system.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 22 Apr 2022 11:07:37 +0200

alt-ergo (2.0.0-8) unstable; urgency=low

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ralf Treinen ]
  * Standards-Version 4.6.0 (no change)
  * Drop "Suggests: why" which is no longer in debian (closes: #977737)
  * New homepage at OCamlPRO

 -- Ralf Treinen <treinen@debian.org>  Wed, 27 Oct 2021 21:28:46 +0200

alt-ergo (2.0.0-7) unstable; urgency=medium

  * Team upload
  * Add empty override_dh_dwz to prevent FTBFS
  * Update debian/watch
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Tue, 11 Aug 2020 10:05:10 +0200

alt-ergo (2.0.0-6) unstable; urgency=medium

  * Build without graphical interface, due to the removal of gtksourceview2:
    - drop build-dependencies liblablgtk2-gnome-ocaml-dev and
      liblablgtksourceview2-ocaml-dev
    - drop building and installing the gui from debian/rules
    - drop mention of the gui from the package description
    - announce this in debian/NEWS
    - drop override of dh_auto_{build,install} which are no longer needed
      since we do not have to specify gui any more
  * Drop override of dh_dwz which is no longer needed.
  * Standards-Version 4.5.0 (no change)

 -- Ralf Treinen <treinen@debian.org>  Wed, 15 Apr 2020 09:56:28 +0200
