=== debian/control ===
Source: alt-ergo
Section: math
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Mehdi Dogguy <mehdi@debian.org>, Ralf Treinen <treinen@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-ocaml,
               libcmdliner-ocaml-dev,
               libdune-ocaml-dev,
               liblablgtk2-ocaml-dev,
               libnum-ocaml-dev,
               libocamlgraph-ocaml-dev (>= 1.8.5~),
               libpsmt2-frontend-ocaml-dev,
               libzarith-ocaml-dev,
               libzip-ocaml-dev,
               menhir,
               ocaml-dune,
               ocaml-findlib,
               ocaml-nox (>= 4.04),
               ocplib-simplex-ocaml-dev (>= 0.4)
Homepage: https://alt-ergo.ocamlpro.com
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/ocaml-team/alt-ergo
Vcs-Git: https://salsa.debian.org/ocaml-team/alt-ergo.git

Package: alt-ergo
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Description: Automatic theorem prover dedicated to program verification
 Alt-Ergo is an automatic theorem prover geared towards application in
 program verification. It is based on CC(X), a congruence closure
 algorithm parameterized by an equational theory X. Alt-Ergo has
 built-in provers for propositional logic, linear arithmetic,
 uninterpreted function symbols, associative-commutative function
 symbols, polymorphic arrays, user-defined polymorphic record types
 and polymorphic enumeration types. It has restricted support for
 reasoning over arbitrary user-defined algebraic types, first-order
 quantifiers, and non-linear arithmetic.
 .
 This package contains the prover as a command-line executable.
