=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

include /usr/share/ocaml/ocamlvars.mk

%:
	dh  $@ --with ocaml

override_dh_auto_configure:
	./configure --prefix /usr --libdir /usr/lib/ocaml --mandir /usr/share/man alt-ergo-lib

override_dh_auto_build:
	dune build -p alt-ergo-lib,alt-ergo-parsers,alt-ergo

override_dh_auto_install:
	touch _build/default/altgr-ergo.install
	dune install -p alt-ergo-lib,alt-ergo-parsers,alt-ergo --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) --mandir=/usr/share/man --destdir=$(CURDIR)/debian/alt-ergo
	rm -rf $(CURDIR)/debian/tmp/usr/doc

override_dh_auto_clean:
	if [ -f config.status ]; then \
		$(MAKE) dist-clean;   \
	fi
