=== debian/changelog ===
alt-ergo (2.4.2-2) unstable; urgency=medium

  * Team upload.
  * Re-enable the patch for non-native architectures.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 06 Aug 2022 23:04:05 +0200

alt-ergo (2.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop all patches (upstreamed).

 -- Julien Puydt <jpuydt@debian.org>  Sat, 06 Aug 2022 16:55:11 +0200

alt-ergo (2.4.1-4) unstable; urgency=medium

  * Add conditional patch for non-native architectures. (Closes: #1013362)

 -- Julien Puydt <jpuydt@debian.org>  Mon, 04 Jul 2022 09:30:03 +0200

alt-ergo (2.4.1-3) unstable; urgency=medium

  * Support cmdliner 1.1.1 using upstream patch.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 29 Jun 2022 11:31:51 +0200

alt-ergo (2.4.1-2) unstable; urgency=medium

  * Team upload.
  * Ship the examples (Closes: #1011966).

 -- Julien Puydt <jpuydt@debian.org>  Sat, 28 May 2022 08:36:08 +0200
