=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Mehdi Dogguy <mehdi@debian.org>, Ralf Treinen <treinen@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-ocaml,
-               libcmdliner-ocaml-dev,
+               libcmdliner-ocaml-dev (>= 1.1.0),
                libdune-ocaml-dev,
                liblablgtk2-ocaml-dev,
                libnum-ocaml-dev,
