=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,9 @@
 	dh  $@ --with ocaml
 
 override_dh_auto_configure:
+ifeq (, $(shell command -v ocamlc.opt))
+	patch -p1 < debian/patches/fix_non_native_architectures.patch
+endif
 	./configure --prefix /usr --libdir /usr/lib/ocaml --mandir /usr/share/man alt-ergo-lib
 
 override_dh_auto_build:
@@ -17,7 +20,7 @@
 override_dh_auto_install:
 	touch _build/default/altgr-ergo.install
 	dune install -p alt-ergo-lib,alt-ergo-parsers,alt-ergo --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) --mandir=/usr/share/man --destdir=$(CURDIR)/debian/alt-ergo
-	rm -rf $(CURDIR)/debian/tmp/usr/doc
+	rm -rf $(CURDIR)/debian/alt-ergo/usr/doc
 
 override_dh_auto_clean:
 	if [ -f config.status ]; then \
