=== debian/watch ===
version=4
https://github.com/OCamlPro/alt-ergo/tags .*/([0-9.]*)\.tar\.gz
